> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cart Settings

> Creates new cart settings. If enabling the Handling Fee, note that doing so does not display handling fees as line items in your storefront's checkout page. Rather, it simply includes the cost of the handling fees in the total. To display handling fees as line items in the checkout page, ask your theme developer to make the necessary changes.



## OpenAPI

````yaml /openapi/openapi_settings.json post /commerce/settings/cart/cartsettings
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/cart/cartsettings:
    post:
      tags:
        - CartSettings
      summary: Create Cart Settings
      description: >-
        Creates new cart settings. If enabling the Handling Fee, note that doing
        so does not display handling fees as line items in your storefront's
        checkout page. Rather, it simply includes the cost of the handling fees
        in the total. To display handling fees as line items in the checkout
        page, ask your theme developer to make the necessary changes.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CartSettings'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CartSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/CartSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/CartSettings'
          description: OK
components:
  schemas:
    CartSettings:
      description: Cart settings defined for this site.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        enableHandlingFee:
          type: boolean
        reserveCartInventoryInterval:
          description: Specifies the amount of time to reserve inventory in cart
          format: int32
          nullable: true
          type: integer
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````